Package org.opentcs.data.model

# Class PeripheralInformation

java.lang.Object
org.opentcs.data.model.PeripheralInformation

All Implemented Interfaces:
  `java.io.Serializable`

    public class PeripheralInformation
    extends java.lang.Object
    implements java.io.Serializable

Contains details about a peripheral device a location may represent.

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `PeripheralInformation.ProcState` | A peripheral device's processing state as seen by the peripheral job dispatcher.
  `static class` | `PeripheralInformation.State` | The elements of this enumeration describe the various possible states of a peripheral device.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PeripheralInformation()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `TCSObjectReference<PeripheralJob>` | `getPeripheralJob()` | Returns a reference to the peripheral job this peripheral device is currently processing.
  `PeripheralInformation.ProcState` | `getProcState()` | Returns the peripheral device's current processing state.
  `java.lang.String` | `getReservationToken()` | Returns a token for which a location/peripheral device is currently reserved.
  `PeripheralInformation.State` | `getState()` | Returns the peripheral device's current state.
  `PeripheralInformation` | `withPeripheralJob​(TCSObjectReference<PeripheralJob> peripheralJob)` | Creates a copy of this object, with the given peripheral job.
  `PeripheralInformation` | `withProcState​(PeripheralInformation.ProcState procState)` | Creates a copy of this object, with the given processing state.
  `PeripheralInformation` | `withReservationToken​(java.lang.String reservationToken)` | Creates a copy of this object, with the given reservation token.
  `PeripheralInformation` | `withState​(PeripheralInformation.State state)` | Creates a copy of this object, with the given state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeripheralInformation

    public PeripheralInformation()

- ## Method Details

  - ### getReservationToken

    @Nullable public java.lang.String getReservationToken()
    Returns a token for which a location/peripheral device is currently reserved.
    Returns:
      A token for which a location/peripheral device is currently reserved.

  - ### withReservationToken

    public PeripheralInformation withReservationToken​(@Nullable java.lang.String reservationToken)
    Creates a copy of this object, with the given reservation token.
    Parameters:
      `reservationToken` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getState

    @Nonnull public PeripheralInformation.State getState()
    Returns the peripheral device's current state.
    Returns:
      The peripheral device's current state.

  - ### withState

    public PeripheralInformation withState​(@Nonnull PeripheralInformation.State state)
    Creates a copy of this object, with the given state.
    Parameters:
      `state` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getProcState

    @Nonnull public PeripheralInformation.ProcState getProcState()
    Returns the peripheral device's current processing state.
    Returns:
      The peripheral device's current processing state.

  - ### withProcState

    public PeripheralInformation withProcState​(@Nonnull PeripheralInformation.ProcState procState)
    Creates a copy of this object, with the given processing state.
    Parameters:
      `procState` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getPeripheralJob

    @Nullable public TCSObjectReference<PeripheralJob> getPeripheralJob()
    Returns a reference to the peripheral job this peripheral device is currently processing.
    Returns:
      A reference to the peripheral job this peripheral device is currently processing, or `null`, it is not processing any peripheral job at the moment.

  - ### withPeripheralJob

    public PeripheralInformation withPeripheralJob​(@Nullable TCSObjectReference<PeripheralJob> peripheralJob)
    Creates a copy of this object, with the given peripheral job.
    Parameters:
      `peripheralJob` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.